/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XTextDocument.idl,v $
 * $Revision: 1.12 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_text_XTextDocument_idl__ 
#define __com_sun_star_text_XTextDocument_idl__ 
 
#ifndef __com_sun_star_frame_XModel_idl__ 
#include <com/sun/star/frame/XModel.idl> 
#endif 
 
#ifndef __com_sun_star_text_XText_idl__ 
#include <com/sun/star/text/XText.idl> 
#endif 
 
 
//============================================================================= 
 
 module com {  module sun {  module star {  module text {  
 
//============================================================================= 
 
// DocMerge from xml: interface com::sun::star::text::XTextDocument
/** is the main interface of a text document.@see com::sun::star::text::TextDocument
 */
published interface XTextDocument: com::sun::star::frame::XModel
{ 
    //------------------------------------------------------------------------- 
     
    // DocMerge from idl: method com::sun::star::text::XTextDocument::getText
    /** @returns  
                the major <type scope="com::sun::star::text">Text</type> of the text document. 
                 
                <p>This text does not contain texts in <type>TextFrame</type>s,  
                or cells of <type>TextTable</type>s etc. directly. These are  
                accessible from the contents via <code>X...Supplier</code>  
                (e.g. <type>XTextTablesSupplier</type>).
     */
    com::sun::star::text::XText getText(); 
 
    //------------------------------------------------------------------------- 
     
    // DocMerge from xml: method com::sun::star::text::XTextDocument::reformat
    /** reformats the contents of the document.
     */
    void reformat(); 
 
}; 
 
//============================================================================= 
 
}; }; }; };  
 
#endif 
